Name:           perl-AnyEvent-BDB
Version:        1.0
Release:        1%{?dist}
Summary:        Truly asynchronous Berkeley DB access

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/AnyEvent-BDB/
Source0:        http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/AnyEvent-BDB-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(BDB)
BuildRequires:  perl(AnyEvent)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Truly asynchronous Berkeley DB access.

%prep
%setup -q -n AnyEvent-BDB-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Fri Nov 29 2008 kwizart < kwizart at gmail.com > - 1.0-1
- Initial package.

